Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.tileentity
Class TileEntityNote

    java.lang.Object
      net.minecraft.tileentity.TileEntity
          net.minecraft.tileentity.TileEntityNote

    public class TileEntityNote

extends TileEntity

Field Summary
`byte` | `note` Note to play
`boolean` | `previousRedstoneState` stores the latest redstone state

Fields inherited from class net.minecraft.tileentity.TileEntity
`blockMetadata, blockType, worldObj, xCoord, yCoord, zCoord`

Constructor Summary
`TileEntityNote()`

Method Summary
`void` | `changePitch()` change pitch by -> (currentPitch + 1) % 25
`void` | `readFromNBT(NBTTagCompound par1NBTTagCompound)` Reads a tile entity from NBT.
`void` | `triggerNote(World par1World, int par2, int par3, int par4)` plays the stored note
`void` | `writeToNBT(NBTTagCompound par1NBTTagCompound)` Writes a tile entity to NBT.

Methods inherited from class net.minecraft.tileentity.TileEntity
`addMapping, canUpdate, createAndLoadEntity, func_70309_m, func_82115_m, func_85027_a, getBlockMetadata, getBlockType, getDescriptionPacket, getDistanceFrom, getWorldObj, invalidate, isInvalid, onChunkUnload, onDataPacket, onInventoryChanged, receiveClientEvent, setWorldObj, shouldRefresh, updateContainingBlockInfo, updateEntity, validate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### note

    public byte note

  Note to play

### previousRedstoneState

    public boolean previousRedstoneState

  stores the latest redstone state

Constructor Detail

### TileEntityNote

    public TileEntityNote()

Method Detail

### writeToNBT

    public void writeToNBT(NBTTagCompound par1NBTTagCompound)

  Writes a tile entity to NBT.

  Overrides:
    `writeToNBT` in class `TileEntity`

### readFromNBT

    public void readFromNBT(NBTTagCompound par1NBTTagCompound)

  Reads a tile entity from NBT.

  Overrides:
    `readFromNBT` in class `TileEntity`

### changePitch

    public void changePitch()

  change pitch by -> (currentPitch + 1) % 25

### triggerNote

    public void triggerNote(World par1World,
                            int par2,
                            int par3,
                            int par4)

  plays the stored note

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD